Legacy versions

Ask for help about NoScript, no registration needed to post
Guest

Legacy versions

Post by Guest » Sun Jan 28, 2018 4:02 pm

Is the latest legacy version 5.1.8.4rc2 supported for nightly 60? I know is Giorgio is busy now with two versions but I hope he can get around to taking a look at the legacy one because it has several problems in the latest nightly. The toolbar icons are gone and it's not completely blocking scripts on many pages. The legacy is still far superior to web extensions so I think many of us would like to keep using it if possible. Thanks again to the developer for all the work he's been doing.
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:56.0) Gecko/20100101 Firefox/56.0 Waterfox/56.0

barbaz
Senior Member
Posts: 9433
Joined: Sat Aug 03, 2013 5:45 pm

Re: Legacy versions

Post by barbaz » Sun Jan 28, 2018 4:38 pm

NoScript Classic supports only Gecko 45-56. For Firefox 57+ you need NoScript 10.
*Always* check the changelogs BEFORE updating that important software!
-

Pansa
Senior Member
Posts: 318
Joined: Fri Nov 24, 2017 10:30 pm

Re: Legacy versions

Post by Pansa » Sun Jan 28, 2018 5:49 pm

Guest wrote:Is the latest legacy version 5.1.8.4rc2 supported for nightly 60? I know is Giorgio is busy now with two versions but I hope he can get around to taking a look at the legacy one because it has several problems in the latest nightly. The toolbar icons are gone and it's not completely blocking scripts on many pages. The legacy is still far superior to web extensions so I think many of us would like to keep using it if possible. Thanks again to the developer for all the work he's been doing.
The toolbar icon should not be missing.

Try creating a secondary clean profile and install NS in there, and see if it behaves the same way.
If not, you can export your settings in the options followed by backing up and then deleting
storage-sync.sqlite from your firefox main profile folder. That's where Noscript (and maybe another of your addons, thus the backup) keeps it's settings.

As for not blocking scripts, if that still happens after fixing your install, you can change the default behaviour for pages in the options. NS allows certain content by default, if that is not to your liking you can turn that off.
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0

User avatar
Giorgio Maone
Site Admin
Posts: 8802
Joined: Wed Mar 18, 2009 11:22 pm
Location: Palermo - Italy
Contact:

Re: Legacy versions

Post by Giorgio Maone » Sun Jan 28, 2018 6:07 pm

Guest wrote:Is the latest legacy version 5.1.8.4rc2 supported for nightly 60?
Nope. Nightly 60 supports WebExtensions only (i.e. NoScript 10.x).
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:58.0) Gecko/20100101 Firefox/58.0

User avatar
therube
Ambassador
Posts: 7561
Joined: Thu Mar 19, 2009 4:17 pm
Location: Maryland USA

Re: Legacy versions

Post by therube » Sun Jan 28, 2018 7:53 pm

(Well 60, being Nightly, there may some Pref or similar that one can flip/create that may allow a non-webex to install, but then one also has to expect, with everything that Mozilla is pulling out of FF, that any particular extension may not work correctly or at all.

In any case, 10.)
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14 Pinball NoScript FlashGot AdblockPlus
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0 SeaMonkey/2.49.2

Guest

Re: Legacy versions

Post by Guest » Mon Jan 29, 2018 5:01 pm

Thanks everyone for the replies.

@therube, the dropdown icon is there but the two icons that quickly allow or disallow temporary permissions are gone. Tried everything, reinstalling , a new profile but they're not there. It has other problems anyway so I'm basically giving up on it and going with something else.
Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko

Guest

Re: Legacy versions

Post by Guest » Tue Jan 30, 2018 11:10 am

Guest wrote:Thanks everyone for the replies.

@therube, the dropdown icon is there but the two icons that quickly allow or disallow temporary permissions are gone. Tried everything, reinstalling , a new profile but they're not there. It has other problems anyway so I'm basically giving up on it and going with something else.
Have you tried disabling e10s/electrolysis/multi-process by setting browser.tabs.remote.autostart.2 and/or browser.tabs.remote.autostart to false in about config?

This seems to make noscript work better in Nightly.

I am currently using Noscript 5 in nightly firefox as long as it works in any wat due to Noscript 10 missing ABE.
ABE seems to still work with e10s off.
I have found no replacement addon/functionality for the following rule:

Site ALL
Accept from SELF++
Anonymize
Mozilla/5.0 (X11; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0

Guest

Re: Legacy versions

Post by Guest » Sun Feb 04, 2018 4:43 pm

Guest wrote:Have you tried disabling e10s/electrolysis/multi-process by setting browser.tabs.remote.autostart.2 and/or browser.tabs.remote.autostart to false in about config?

This seems to make noscript work better in Nightly.
e10s are disabled as I find just about every legacy version works better while using less ram but regardless legacy noscript has various other problems. For now I'm just going to stick with Waterfox and 52esr and be done with it. As far as I'm concerned Mozilla screwed the pooch with their Quantum nonsense.
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:56.0) Gecko/20100101 Firefox/56.0 Waterfox/56.0

Post Reply